View Issue Details

IDProjectCategoryView StatusLast Update
0035582FPCRTLpublic2019-06-02 11:18
Reporter440bxAssigned ToMarco van de Voort 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.0.4Product Build 
Target VersionFixed in Version 
Summary0035582: the shell32.dll function StrStrIA (and W) is missing.
DescriptionThe definition is: (change pchar to pwidechar for the W version)


function strstriA(SearchIn : pchar; SearchFor : pchar)
         : pchar; stdcall; external shell32 name 'StrStrIA';

function strstri(SearchIn : pchar; SearchFor : pchar)
         : pchar; stdcall; external shell32 name 'StrStrIA';
TagsNo tags attached.
Fixed in Revision42148,42152
FPCOldBugId
FPCTarget-
Attached Files

Activities

Marco van de Voort

2019-05-31 14:13

manager   ~0116476

I committed a bunch of these to shlwapi in r42148, check it out.

Marco van de Voort

2019-06-02 11:18

manager   ~0116527

Had it checked, seems there is no shellapi unit version in recent delphis', so the shlwapi one is ok.

Issue History

Date Modified Username Field Change
2019-05-14 00:17 440bx New Issue
2019-05-31 14:13 Marco van de Voort Note Added: 0116476
2019-05-31 14:17 Marco van de Voort Assigned To => Marco van de Voort
2019-05-31 14:17 Marco van de Voort Status new => feedback
2019-05-31 14:17 Marco van de Voort FPCTarget => -
2019-06-02 11:18 Marco van de Voort Status feedback => resolved
2019-06-02 11:18 Marco van de Voort Resolution open => fixed
2019-06-02 11:18 Marco van de Voort Fixed in Revision => 42148,42152
2019-06-02 11:18 Marco van de Voort Note Added: 0116527